package com.ssj.dao.weixin.problem.dao;

import com.ssj.bean.sys.fx.domain.MerchantOut;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface ProblemQueryDao {
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @param pageable
	* @param @return       
	* 方法说明：操作指南查询
	 * @date 2017年8月25日 上午9:29:02
	 */
	Page<Map<String, Object>> findForPage(Map<String, Object> searchParams, Pageable pageable);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @param pageable
	* @param @return       
	* 方法说明：零元阅读后台查询
	 * @date 2017年8月25日 上午9:29:06
	 */
	Page<Map<String, Object>> findForExpPage(Map<String, Object> searchParams, Pageable pageable);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @return       
	* 方法说明：零元阅读导出查询
	 * @date 2017年8月25日 上午9:29:09
	 */
	List<Map<String, Object>> getExpList(Map<String, Object> searchParams);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @param pageable
	* @param @return       
	* 方法说明：每月各馆各类型卡有效会员数
	 * @date 2017年12月8日 上午10:44:35
	 */
	
	Page<Map<String, Object>> findValidVipPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findValidVip2Page(Map<String, Object> searchParams, Pageable pageable);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @return       
	* 方法说明：导出每月各馆各类型卡有效会员数
	 * @date 2017年12月8日 上午10:44:38
	 */
	List<Map<String, Object>> getValidVipList(Map<String, Object> searchParams);
	
	List<Map<String, Object>> getValidVipList2(Map<String, Object> searchParams);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @param pageable
	* @param @return       
	* 方法说明：学校地址
	 * @date 2017年12月8日 上午10:44:41
	 */
	Page<Map<String, Object>> findCnAreaPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findRequestMethodLogPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findVipPage(Map<String, Object> searchParams, Pageable pageable);
	
	Page<Map<String, Object>> findUpdateVipPage(Map<String, Object> searchParams, Pageable pageable);


    Page<Map<String, Object>> findBanbenDetailPage(Map<String, Object> params, Pageable initPage);

    List<Map<String, Object>> findCnAreaAll(Map<String, Object> params);

    Page<MerchantOut> findMerchantByPage(Map<String, Object> params, Pageable initPage);
}
